package com.bankaudit.model;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="maint_loss_events")
public class MaintLossEvents implements Serializable {
	/*Table: maint_loss_events
	----------------------------

	Column Information
	----------------------

	Field                   Type          Collation        Null    Key     Default            Extra                        Privileges                       Comment  
	----------------------  ------------  ---------------  ------  ------  -----------------  ---------------------------  -------------------------------  ---------
	legal_entity_code       int(2)        (NULL)           NO      PRI     (NULL)                                          select,insert,update,references           
	loss_event_code         varchar(20)   utf8_general_ci  NO      PRI     (NULL)                                          select,insert,update,references           
	loss_event_type         varchar(50)   utf8_general_ci  YES             (NULL)                                          select,insert,update,references           
	loss_event_desc         varchar(50)   utf8_general_ci  YES             (NULL)                                          select,insert,update,references           
	auth_rej_remarks        varchar(200)  utf8_general_ci  YES             (NULL)                                          select,insert,update,references           
	entity_status           varchar(20)   utf8_general_ci  YES             (NULL)                                          select,insert,update,references           
	status                  varchar(20)   utf8_general_ci  NO              (NULL)                                          select,insert,update,references           
	maker                   varchar(20)   utf8_general_ci  NO              (NULL)                                          select,insert,update,references           
	maker_timestamp         timestamp     (NULL)           NO              CURRENT_TIMESTAMP  on update CURRENT_TIMESTAMP  select,insert,update,references           
	checker                 varchar(20)   utf8_general_ci  YES             (NULL)                                          select,insert,update,references           
	checker_timestamp       timestamp     (NULL)           YES             (NULL)                                          select,insert,update,references           
	businessdate_timestamp  timestamp     (NULL)           YES             (NULL)                                          select,insert,update,references           
	sysdate_timestamp       timestamp     (NULL)           YES             (NULL)                                          select,insert,update,references           
	
	*/
	
	@Id
	@Column(name="legal_entity_code")
	private Integer legalEntityCode;
	
	@Id
	@Column(name="loss_event_code")
	private String lossEventCode;
	
	@Column(name="loss_event_type")
	private String lossEventType;
	
	@Column(name="loss_event_desc")
	private String lossEventDesc;
	
	@Column(name = "auth_rej_remarks")
	private String authRejRemarks;
	
	@Column(name = "entity_status")
	private String entityStatus;
	
	@Column(name="status")
	private String status;
	
	@Column(name="maker")
	private String maker;
	
	@Column(name="maker_timestamp")
	private Date makerTimestamp;
	
	@Column(name="checker")
	private String checker;
	
	@Column(name="checker_timestamp")
	private Date checkerTimestamp;
	
	@Column(name="businessdate_timestamp")
	private Date businessdateTimestamp;
	
	@Column(name="sysdate_timestamp")
	private Date sysdateTimestamp;

	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	public String getLossEventCode() {
		return lossEventCode;
	}

	public void setLossEventCode(String lossEventCode) {
		this.lossEventCode = lossEventCode;
	}

	public String getLossEventType() {
		return lossEventType;
	}

	public void setLossEventType(String lossEventType) {
		this.lossEventType = lossEventType;
	}

	public String getLossEventDesc() {
		return lossEventDesc;
	}

	public void setLossEventDesc(String lossEventDesc) {
		this.lossEventDesc = lossEventDesc;
	}

	public String getAuthRejRemarks() {
		return authRejRemarks;
	}

	public void setAuthRejRemarks(String authRejRemarks) {
		this.authRejRemarks = authRejRemarks;
	}

	public String getEntityStatus() {
		return entityStatus;
	}

	public void setEntityStatus(String entityStatus) {
		this.entityStatus = entityStatus;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getMaker() {
		return maker;
	}

	public void setMaker(String maker) {
		this.maker = maker;
	}

	public Date getMakerTimestamp() {
		return makerTimestamp;
	}

	public void setMakerTimestamp(Date makerTimestamp) {
		this.makerTimestamp = makerTimestamp;
	}

	public String getChecker() {
		return checker;
	}

	public void setChecker(String checker) {
		this.checker = checker;
	}

	public Date getCheckerTimestamp() {
		return checkerTimestamp;
	}

	public void setCheckerTimestamp(Date checkerTimestamp) {
		this.checkerTimestamp = checkerTimestamp;
	}

	public Date getBusinessdateTimestamp() {
		return businessdateTimestamp;
	}

	public void setBusinessdateTimestamp(Date businessdateTimestamp) {
		this.businessdateTimestamp = businessdateTimestamp;
	}

	public Date getSysdateTimestamp() {
		return sysdateTimestamp;
	}

	public void setSysdateTimestamp(Date sysdateTimestamp) {
		this.sysdateTimestamp = sysdateTimestamp;
	}
}
